Leads
Quiz journey of a lead
The quiz steps a lead went through in order, with the time spent on each, the answers given per step and whether the session ended in a submit. Partial leads are masked without the Partial Leads add-on.
GET
/
api
/
v2
/
workspaces
/
{workspaceId}
/
leads
/
{id}
/
journey
Quiz journey of a lead
curl --request GET \
--url https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"lead": {
"id": 123,
"status": "<string>",
"quizId": "<string>",
"quizEventSessionId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"quiz": {
"id": "<string>",
"name": "<string>",
"steps": [
{
"id": "<string>",
"name": "<string>",
"index": 123
}
]
},
"outcome": "submitted",
"start": {
"stepId": "<string>",
"stepName": "<string>",
"index": 123,
"inferred": true
},
"steps": [
{
"stepId": "<string>",
"stepName": "<string>",
"index": 123,
"enteredAt": "<string>",
"msOnStep": 123,
"direction": "start",
"submitted": true,
"answers": [
{
"key": "<string>",
"label": "<string>",
"value": "<string>"
}
]
}
],
"totalMs": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API key with ll_live_ prefix
Path Parameters
Response
Lead journey
Was this page helpful?
⌘I
Quiz journey of a lead
curl --request GET \
--url https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/{id}/journey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"lead": {
"id": 123,
"status": "<string>",
"quizId": "<string>",
"quizEventSessionId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"quiz": {
"id": "<string>",
"name": "<string>",
"steps": [
{
"id": "<string>",
"name": "<string>",
"index": 123
}
]
},
"outcome": "submitted",
"start": {
"stepId": "<string>",
"stepName": "<string>",
"index": 123,
"inferred": true
},
"steps": [
{
"stepId": "<string>",
"stepName": "<string>",
"index": 123,
"enteredAt": "<string>",
"msOnStep": 123,
"direction": "start",
"submitted": true,
"answers": [
{
"key": "<string>",
"label": "<string>",
"value": "<string>"
}
]
}
],
"totalMs": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}